Std Rückgängig

From FreeCAD Documentation
This page is a translated version of the page Std Undo and the translation is 100% complete.

Std Rückgängig

Menüeintrag
Bearbeiten → Rückgängig
Arbeitsbereich
Alle
Standardtastenkürzel
Strg+Z
Eingeführt in Version
-
Siehe auch
Wiederherstellen

Beschreibung

Der Befehl Std Rückgängig macht die letzte Aktion rückgängig.

Anwendung

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Rückgängig drücken.
    • Den Menüeintrag Bearbeiten → Rückgängig auswählen.
    • Das Tastaturkürzel Strg + Z.

Optionen

  • Um mehrere Aktionen rückgängig zu machen, auf den schwarzen Pfeil-nach-unten rechts neben der Schaltfläche Rückgängig klicken und aus der Liste auswählen.

Einstellungen

Siehe auch: Voreinstellungseditor.

  • Die Rückgängig/Wiederherstellen-Funktionalität kann ausgeschaltet werden, indem Bearbeiten → Einstellungen... → Allgemein → Dokument → Rückgängigmachen/Wiederholen in Dokumenten verwenden deaktiviert wird. Aber dies wird nicht empfohlen.
  • Die maximale Anzahl von Rückgängig/Wiedererstellen-Schritten wird über Bearbeiten → Einstellungen... → Allgemein → Dokument → Maximale Rückgängigmachen/Wiederholen-Schritte festgelegt.

Skripten

Siehe auch: Autogenerierte API-Dokumentation und FreeCAD Grundlagen Skripten.

Um die letzte Aktion rückgängig zu machen, wird die Methode undo des document-Objekts verwendet. Das Gegenstück, die Methode redo steht auch zur Verfügung.

import FreeCAD

FreeCAD.ActiveDocument.undo()

Wenn FreeCAD im reinen Konsolenmodus (CLI) läuft, ist der Undo/Redo-Mechanismus standardmäßig deaktiviert ist. Er muss für jedes Dokument separat aktiviert werden.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1